Subject: Re: make configure failure on libICE, libSM, ...
To: None <>
From: SUNAGAWA Keiki <>
List: tech-pkg
Date: 10/01/2007 00:31:00
> The libICE (and libSM) you are trying to build is from modular Its 
> dependencies are from modular It can't find its dependencies unless 
> X11_TYPE is set to "modular".
> Is there a reason you need x11/libICE and libSM?

Well, I tried to compile modular with XFree86

Also some packages seemed to have dependency to such
packages, but I cannot recall the name of the package.

> I think if the native /usr/X11R6 is compatible enough, it could be used to 
> build some modular components. (In the past I have had under 
> /usr/X11R6 and used X11_TYPE as native the default, but that doesn't make 
> sense to me to use any more.)

Could it build?  Do you remember the date when you did so?

> I have mentioned this a few times: it would be good if building modular 
> components had more clear errors/warnings about it instead of having 
> end-user figure it out from the pkg-config messages (and gnome-config 
> warning). We have probably had well over 25 emails or PRs like this over 
> the past year. It is probably pkgsrc's most FAQ.

I agree.  gnome-config may be in bootstrap?